<!-- CATEGORY CONTROL TABLE -->
<div class=" uk-card uk-card-default uk-margin-top">
    <ul uk-accordion="toggle: .category_list_oppener">
        <li>
            <div class="uk-card-header uk-card-secondary uk-card uk-padding-small">
                <div uk-grid>
                    <div class="uk-width-expand uk-margin-auto-vertical">
                        <div class="uk-flex uk-flex-middle">
                            <a (click)="getGrandParameters()" href="#" class="uk-button uk-button-text category_list_oppener uk-margin-remove">GRAND-PARAMETER CONTROL</a>
                            <a class="uk-accordion-creator-parameter uk-margin-small-left" href="javascript:void(0)" (click)="add()" uk-icon="icon: plus-circle" uk-tooltip="title: NEW; pos: right"></a>
                        </div>
                    </div>
                    <div class="uk-width-auto uk-margin-auto-vertical">
                        <div class="uk-form">
                            <div class="uk-inline">
                                <span class="uk-form-icon" uk-icon="icon: search"></span>
                                <input [(ngModel)]="searchTerm" class="uk-input" type="text">
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="uk-accordion-content uk-card-body uk-padding-small">
                <table class="uk-table uk-table-small uk-table-middle uk-table-hover uk-table-divider">
                    <thead>
                        <tr>
                            <th class="uk-table-shrink">ORDERING</th>
                            <th class="uk-table-shrink">NAME</th>
                            <th class="uk-width-expand">PARAMETERS</th>
                            <th class="uk-table-shrink">&nbsp;</th>
                        </tr>
                    </thead>
                    
                    <tbody>
                        <tr *ngFor="let gpIndex = index; let grandParameter of grandParameters | filter: searchTerm">
                            <td class="uk-text-nowrap uk-text-small">
                                <div (click)="decrementIndex(gpIndex)" class="uk-icon-button" uk-icon="icon: arrow-up" uk-tooltip="title: ORDER TOP; pos: top"></div>
                                <div (click)="incrementIndex(gpIndex)" class="uk-icon-button" uk-icon="icon: arrow-down" uk-tooltip="title: ORDER BUTTOM; pos: top"></div>
                            </td>
                            <td class="uk-text-nowrap uk-text-small">{{grandParameter.title}}</td>
                            <td class="uk-text-small">
                                <p class="uk-text-smaller uk-margin-remove">{{grandParameter.description}}</p>
                                <p class="uk-text-smaller uk-text-uppercase uk-margin-remove"><span *ngFor="let parameter of grandParameter.parameters;let pati = index">{{parameter.title}} <span > || </span> </span></p>
                            </td>
                            <td class="uk-text-nowrap uk-text-small">
                                <a (click)="edit(grandParameter)" class="uk-icon-button" uk-icon="icon: pencil" uk-tooltip="title: EDIT; pos: top"></a>
                                <a (click)="delete(grandParameter.id)" class="uk-icon-button uk-margin-small-left" uk-icon="icon: trash" uk-tooltip="title: ERASE; pos: top"></a>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </li>
    </ul>
</div>
<!-- CATEGORY CONTROL TABLE END -->